## org.eclipse.datatools.sqltools.debugger.sourcelookup
Class SPSourceLocator

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.sourcelookup.SPSourceLocator

All Implemented Interfaces:
  org.eclipse.debug.core.model.IPersistableSourceLocator, org.eclipse.debug.core.model.ISourceLocator

    public class SPSourceLocator

extends java.lang.Object
implements org.eclipse.debug.core.model.IPersistableSourceLocator

Author:
  Yang Liu

Constructor Summary
`SPSourceLocator()`

Method Summary
`java.lang.String` `getMemento()`
`java.lang.Object` `getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)`
`void` `initializeDefaults(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`void` `initializeFromMemento(java.lang.String memento)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPSourceLocator

    public SPSourceLocator()

Method Detail

### getMemento

    public java.lang.String getMemento()
                                throws org.eclipse.core.runtime.CoreException

  Specified by:
    `getMemento` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### initializeFromMemento

    public void initializeFromMemento(java.lang.String memento)
                               throws org.eclipse.core.runtime.CoreException

  Specified by:
    `initializeFromMemento` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### initializeDefaults

    public void initializeDefaults(org.eclipse.debug.core.ILaunchConfiguration configuration)
                            throws org.eclipse.core.runtime.CoreException

  Specified by:
    `initializeDefaults` in interface `org.eclipse.debug.core.model.IPersistableSourceLocator`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getSourceElement

    public java.lang.Object getSourceElement(org.eclipse.debug.core.model.IStackFrame stackFrame)

  Specified by:
    `getSourceElement` in interface `org.eclipse.debug.core.model.ISourceLocator`